//
//      このスクリプトの整形に「桜宮の部屋」のまあささんのスクリプトを
//      参考にさせていただきました｡
//      HP  ｢桜宮の部屋｣  http://oukyu.oheya.to/
//

//#############################################################################
//                      Peace@Pieces
//#############################################################################

//--------------------初期設定--------------------------------------------------

#include "std.mi"

/*******************************************************************************
//      グローバル関数宣言
*******************************************************************************/

//グローバル関数//

Global Group          grpMain;
Global Group          grpBand;
Global ToggleButton   tglLock;

Global Slider         sldPreamp;
Global Slider         sldBand1;
Global Slider         sldBand2;
Global Slider         sldBand3;
Global Slider         sldBand4;
Global Slider         sldBand5;
Global Slider         sldBand6;
Global Slider         sldBand7;
Global Slider         sldBand8;
Global Slider         sldBand9;
Global Slider         sldBand10;

Global Boolean        blnLock;
/*******************************************************************************
//      #System.onScriptLoaded()
//      スクリプト起動時に実行される｡
//      初期設定
*******************************************************************************/

System.onScriptLoaded(){

        //オブジェクト設定
        grpMain         = getScriptGroup();
        grpBand         = grpMain.findObject("EQ.Band.Group");
        tglLock         = grpBand.findObject("Lock");

        sldPreamp         = grpBand.findObject("preamp");
        sldBand1          = grpBand.findObject("eq1");
        sldBand2          = grpBand.findObject("eq2");
        sldBand3          = grpBand.findObject("eq3");
        sldBand4          = grpBand.findObject("eq4");
        sldBand5          = grpBand.findObject("eq5");
        sldBand6          = grpBand.findObject("eq6");
        sldBand7          = grpBand.findObject("eq7");
        sldBand8          = grpBand.findObject("eq8");
        sldBand9          = grpBand.findObject("eq9");
        sldBand10         = grpBand.findObject("eq10");


        //前回の状態をロード
        blnLock = System.getPrivateInt("Trans_Peace@Pieces", "Lock", 0);

        if (blnLock) tglLock.leftclick();
}


/*******************************************************************************
//      #System.onScriptUnLoaded()
//      スクリプト終了時に実行される｡
*******************************************************************************/

System.onScriptUnloading() {

        System.setPrivateInt("Trans_Peace@Pieces", "Lock", blnLock);
}


/*******************************************************************************
//      #tglLock.onToggle(
//        boolean on    //ロックの状態(0=OFF；1=ON)
//      )
//      条件：ロック機能が切り替わった時
//      機能：EQのバンドをロックしたりしなかったり
*******************************************************************************/

tglLock.onToggle(boolean on) {

        if (on) {
          blnLock=1;

          sldPreamp.setXMLparam("ghost" , "1");
          sldBand1.setXMLparam("ghost" , "1");
          sldBand2.setXMLparam("ghost" , "1");
          sldBand3.setXMLparam("ghost" , "1");
          sldBand4.setXMLparam("ghost" , "1");
          sldBand5.setXMLparam("ghost" , "1");
          sldBand6.setXMLparam("ghost" , "1");
          sldBand7.setXMLparam("ghost" , "1");
          sldBand8.setXMLparam("ghost" , "1");
          sldBand9.setXMLparam("ghost" , "1");
          sldBand10.setXMLparam("ghost" , "1");
        } else {
          blnLock=0;

          sldPreamp.setXMLparam("ghost" , "0");
          sldBand1.setXMLparam("ghost" , "0");
          sldBand2.setXMLparam("ghost" , "0");
          sldBand3.setXMLparam("ghost" , "0");
          sldBand4.setXMLparam("ghost" , "0");
          sldBand5.setXMLparam("ghost" , "0");
          sldBand6.setXMLparam("ghost" , "0");
          sldBand7.setXMLparam("ghost" , "0");
          sldBand8.setXMLparam("ghost" , "0");
          sldBand9.setXMLparam("ghost" , "0");
          sldBand10.setXMLparam("ghost" , "0");
        }

}
